Jump to content
FrancisChung

Has anyone here used AMPPS?

Recommended Posts

I was wondering if anyone has used AMPPS before? Seems like a decent MAMP replacement for Ubuntu, but I'm wondering if anyone can give their take or experiences on it.
 

Share this post


Link to post
Share on other sites

I haven't used AMPPS in a while. I used to prefer XAMPP, but I switched to Laragon recently. Less bloat, and switching to another PHP version is easier.

  • Like 1

Share this post


Link to post
Share on other sites

I use Laragon also. Would be interesting to know which one works faster when using it for website development: Laragon or Ampps.
Lets find out this weekend.

  • Like 1

Share this post


Link to post
Share on other sites
Quote

Am I right in thinking that Laragon is Windows only? 

If you go to the laragon website for downloads there are only windows installations.
There seems to be a Mac project here:

https://github.com/laravel/valet

  • Like 1

Share this post


Link to post
Share on other sites

Ok, I just installed Ampps and imported a few website backups and started fiddling around.
I must say that Ampps has a nice interface to work with, but it is clearly slower compared to Laragon.

  • Like 2

Share this post


Link to post
Share on other sites

@pwired, thanks for trying out Ampps and reporting back.
At this stage, the small performance hit might be worth it if it saves me hours messing with configuration.

I also had a look at XAMPP but that looks like it's tightly integrated with Bitnami now. (Any opinions on Bitnami?)

I had to install Docker (for ubuntu) for a different project, so I might see if I can replace Ampps with Docker instead.

Share this post


Link to post
Share on other sites
Quote

At this stage, the small performance hit might be worth it if it saves me hours messing with configuration.

 

Laragon is super easy to configure for your needs. Also setting up virtual hosts is very easy. It installes in C:\laragon and works like a portable program.

 

laragon.gif.3e53ece31a6714104914f3d1dac1cf7e.gif

 

I would't go for Ampps. It installs in your Windows Programs folder and eats away 600 Mb. The Ampss interface looks the same like a CPanel from your Hoster.

Ampss might be handy though if you want to try out all kinds of packages. It even has a pw install package.

 

ampps.thumb.png.480e90e716d26f1dfda357d5a639336c.png

 

 

Share this post


Link to post
Share on other sites
Quote

Will do that and see what happens

Edit: the terminal commands as shown how to download devilbox don't work for windows (as I already expected)

I leave it for a rainy day

  • Like 1

Share this post


Link to post
Share on other sites
On 7/29/2018 at 9:56 PM, fbg13 said:

This is awesome. Thanks!

 

On 7/30/2018 at 3:53 AM, pwired said:

would't go for Ampps. It installs in your Windows Programs folder and eats away 600 Mb. The Ampss interface looks the same like a CPanel from your Hoster.

Ampss might be handy though if you want to try out all kinds of packages. It even has a pw install package.

I do have a Win10 partition, but don't intend to use it for Web Development unless using ASP.NET stack. 
AMPSS sounds interesting  especially for beginners if it has a PW Install package. 

Thanks for looking into it so far.

Share this post


Link to post
Share on other sites

Update

Ampps : Can't seem to install it on Ubuntu. Useless piece of ...

Devilbox : I can't get docker daemon running locally. It's opened up a pandora's box I don't have time to deal with ... urgh ...

Share this post


Link to post
Share on other sites

Did you check the video on how to install ampps on ubuntu ?

http://www.ampps.com/demo

===========================================================
Devilbox is a scripted development stack with a bunch of daemons.
I tried it but really found it too much of an overkill.

Laragon is so easy and convenient for local development.

  • Like 1

Share this post


Link to post
Share on other sites
17 minutes ago, pwired said:

Did you check the video on how to install ampps on ubuntu ?

I just did, but I can tell you that is not what actually happens if you try and install it.
There's all sorts of installation issues, and even if you work through them, the app doesn't launch because there's an issue with the underlying Graphics library it is using.

Laragon looks really cool. Alas, it is only for Windows and I refuse to do Website work on Windows unless it's ASP.NET specific work.

  • Like 1

Share this post


Link to post
Share on other sites
Quote

I refuse to do Website work on Windows

When using vista or win10 I can understand that. Harddisks have a lot of space these days. Get your self a win7 sp1 partition. It's real stable and safe.

Share this post


Link to post
Share on other sites
3 minutes ago, pwired said:

Get your self a win7 sp1 partition. It's real stable and safe

It's more to do with paths & limitations with path length etc in Windows.
They allegedly have fixed it, but I don't trust the fix because I can still see it happening on my local machine despite applying all sorts of fixes for it.

I agree Windows 7 being stable.

 Unfortuantely, you can only run it on older hardware.  No chance if you have equipment of recent specs. I couldn't even install Windows 8 on my laptop.

Share this post


Link to post
Share on other sites
Quote

Unfortuantely, you can only run it on older hardware.  No chance if you have equipment of recent specs.

There are only 4 problems with that:

1. missing legacy option in uefi bios
2. missing usb3 drivers during win7 installation
3. win7 refuses to install on a GTP partition
4. missing win7 hardware drivers for your laptop

I have solved all 4 of them with finding the right tools.

 

 

Share this post


Link to post
Share on other sites

 

2 hours ago, pwired said:

I have solved all 4 of them with finding the right tools.

Mine's a missing CPU support from the O/S so not sure a driver can fix 🙂

Share this post


Link to post
Share on other sites

Windows 7 is in its extended support period, and is officially supported
by Microsoft with security updates until 2020.

But hey welcome to MicroSoft, they simply changed their policy at the beginning of 2016
and now new CPUs will require the latest version of Windows.

1652661091_unsupportedhardware.png.94d699368d68b0e81ea0b9199b80f5c0.png


Microsoft is just blocking PCs with latest CPUs from updating via Windows Update.
You still can install Windows 7

But in such case it would be a solution to use VMWare Player which is very good.

Install a VMWare workstation trial and install windows 7 in it,
export the image and uninstall the trial. Then install the free
VMWare Player and import the image.

 

 

Share this post


Link to post
Share on other sites
35 minutes ago, pwired said:


export the image and uninstall the trial. Then install the free
VMWare Player and import the image.

 

 

 

So is that running Windows 7 on a VM on a Windows10?

Share this post


Link to post
Share on other sites
Quote

So is that running Windows 7 on a VM on a Windows10?

Yes it would 👍

Link

Share this post


Link to post
Share on other sites

I finally got devilbox working. Turns out, RTFM actually worked against me in this instance.

Most of the errors I was getting was permission related, so had to run it with sudo. And had to do extra configuration that they don't tell you about up front.

 

Share this post


Link to post
Share on other sites
Quote

I finally got devilbox working

That is good news. But did you get devilbox working on windows or on linux ? Can you show us how you did it ?

Share this post


Link to post
Share on other sites

Linux. As I stated previously, I refuse to do web development on Windows (unless it's ASP.NET) 🙂 

It was mainly using sudo to launch the application. The documentation doesn't state that you had to use it, and this is where i was thrown off for most of the time.
Other than that,  you just had to add an entry in /etc/hosts file to map an address to your local instance. 

Share this post


Link to post
Share on other sites
14 minutes ago, FrancisChung said:

It was mainly using sudo to launch the application. The documentation doesn't state that you had to use it

Do you mean docker compose up|down commands? It works without sudo for  me.

Share this post


Link to post
Share on other sites

  • Recently Browsing   0 members

    No registered users viewing this page.

  • Similar Content

    • By MacLeod
      [GERMAN]
      Hallo Community,
      ich hoffe Ihr könnte mir weiter helfen?
      Ich habe Processwire bei meinen Webhosting Anbieter installiert ohne Probleme.
      Nun wollte ich es bei meinen Local webserver (MAMP 4.1) installieren...
      Leider zeigt er mir einen Datenbank fehler, dass er bestimmte Tabelle nicht finden kann!!!
      (Siehe Bild)
      Kann mir einer sagen, wodurch der Fehler verursacht wirt?
      Habe es auch schon bei einen Kumpel und eine anderen Local Webserver Umgebung Installiert. Immer der Selbe Fehler.
      Gruß
      MacLeod
       
      [ENGLISH]
      Hello Community,
      I hope you could help me further?
      I have Processwire installed at my webhosting provider without any problems.
      Now I wanted to install it on my local webserver (MAMP 4.1) ...
      Unfortunately he shows me a database error that he can not find certain table !!!
      (See image)
      Can someone tell me what causes the error?
      Have it already installed with a buddy and another Local Web server environment. Always the same mistake.
      greeting
      MacLeod
       

    • By louisstephens
      Not sure if anyone out there has successfully solved this yet (nor if this is the correct place to post this), but I am kind of stuck on this. I normally use MAMP pro 3 for setting up my dev work flow, and wanted to play around with ImageMagick. I knew I had to enable the extension in MAMP, which I simply just removed the ";" in front of extension=imagick.so in the php.ini and restarted the servers. However when I tried to install the module, i get the following error:
       Unable to install module (ImageSizerEngineIMagick): This module requires that you have PHP's IMagick (Image Magick) extension installed
        From what I have read, the extension should be installed and activated after I followed the simple steps, but processwire doesn't seem to recognize that it is activated. Has someone encountered this issue yet?
       
      I am using php v7 with an install of processwire 2.8.35.
    • By modifiedcontent
      Has anyone successfully installed Processwire on an Amazon EC2 instance/virtual server?
      Which configuration works; Amazon Linux or one of the other flavors?
      How do you get file permissions and the database working?
      Which lines in .htaccess cause problems on Amazon AWS? 
      What are the pitfalls to watch out for?
      Why can't I get it working...?
      The first problem I run into is an error message that the installer doesn't have write access and that I should manually rename the 'site-myprofile' folder to 'site'. Attempt to chmod all the files and folders to 777 don't seem to have any effect on that and some files do get written fine.
      But I keep ending up with inaccessable pages and fatal server errors. I am not asking you to solve my problem. I am curious what other people's experiences are with this. Can it be done or am I wasting my time?
       
    • By j00st
      Hi everyone!
      Although I've set up a couple of sites using Processwire now, I still run into typical 'Getting Started' errors - and I figured this is yet another one...

      On the previous site I built (locally and on a server) I had no problems with modules (downloaded them, placed them in the folder, installed, worked) but this time around two of the modules I want to use are not working. 
      I'm using a textarea with Markdown (Parsedown Extra to be more precise - which works fine), but on the same textarea fields I want to use both the TextFormatterVideoEmbed (for YouTube & Vimeo) and the ImageTags (for embedding from the images field on the same page)
      Current situation for:
      VideoEmbed – Link is shown as link.
      ImageTags - Throws the following error Notice: Array to string conversion in ../site/modules/ImageTags/TextformatterImageTags.module on line 20
      Should I use a different version of Markdown? (Haven't tried that - just realised it while typing this post...)
      I have the feeling I might be overlooking something really obvious, but I can't put my finger on it. Suggestions? Tips? Cheers!
    • By sambadave
      I'm having a little bit of trouble since swapping from PC (running WAMP) to MAC (running MAMP).
      I managed to get my site copied across to my MAC local server and everything is running fine... but I've noticed that when I submit a form (originally created using the very awesome formbuilder) that the email doesn't send and I don't get any confirmation email either.
      Does anyone know where I might be going wrong or where a good starting point would be? I just double checked the form on my windows machine (running WAMP) where both the email and confirmation email sent with no hiccups.
      Any tips would be appreciated.
      Thanks
×
×
  • Create New...